%global npmname bufferutil

Name:           nodejs-%{npmname}
Version:        3.0.1
Release:        2%{?dist}
Summary:        WebSocket buffer utils

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

# Pull sources from github, not npm, in order to include unit tests.
#Source0:        https://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
Source0:		https://github.com/websockets/%{npmname}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging
BuildRequires:  node-gyp, nodejs-bindings

BuildRequires:  nodejs-nan

# For unit tests.
BuildRequires:  mocha

ExclusiveArch:  %{nodejs_arches}

%description
bufferutil provides some utilities to efficiently perform
some operations such as masking and unmasking the data
payload of WebSocket frames.

%prep
%autosetup -n %{npmname}-%{version}

# Remove prebuild-install dep.
%nodejs_fixdep -r prebuild-install

%build
# Create symlink so we can link against system deps.
ln -s %{nodejs_sitelib}/ node_modules

export CXXFLAGS="%{optflags}"
node-gyp rebuild

# Remove symlink postbuild.
rm -f node_modules

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/bufferutil/build
cp -p package.json fallback.js index.js %{buildroot}%{nodejs_sitelib}/bufferutil/
cp -p build/Release/bufferutil.node %{buildroot}%{nodejs_sitelib}/bufferutil/build/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
mocha ./test.js

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Tue Jun 06 2017 Zuzana Svetlikova <zsvetlik@redhat.com> - 3.0.1-2
- Rebuild for Node.js 8.0.0

* Wed May 31 2017 Ben Rosser <rosser.bjr@gmail.com> - 3.0.1-1
- Update to latest upstream release.

* Tue Mar 14 2017 Ben Rosser <rosser.bjr@gmail.com> - 3.0.0-1
- Update to latest upstream release, including unit tests.

* Sun Feb 26 2017 Ben Rosser <rosser.bjr@gmail.com> - 2.0.1-1
- Initial package.
